
postData(window.location.origin + '/interface/UserInformation', {
    prefix: window.location.hostname,
    ip: false,
    pattern: '无'
}).then(data => {
    if (data.code === 1) {
        $('.heroTitle').text(data.result.title);
        $('.beian').text(data.result.keepOnRecord);
        document.title = data.result.title;
    }
});

let app = document.getElementById('app');

if (window.navigator.userAgent.indexOf('QQ/') > -1) {
    app.innerHTML = `
    
        <div class="jump">

        <div class="jumpChoice">
            <img src="static/index/choice.jpg">
        </div>

        <div class="jumpWrittenWords">
            点击屏幕右上角的<img src="static/index/spot.png">
        </div>
        <div class="jumpWord">
            在弹出的窗口中选择<i>用浏览器打开</i>
        </div>

        <div class="jumpTips">
            <img src="static/index/Tips.jpg">
        </div>
    </div>

    `;
} else {
    app.innerHTML = `

    <div class="preloader">
        <div class="spinner">
            <div class="bounce-1"></div>
            <div class="bounce-2"></div>
            <div class="bounce-3"></div>
        </div>
    </div>

    <div class="hero">
        <div class="front-content">
            <div class="container-mid">
                <div class="animation-container animation-fade-right" data-animation-delay="300">
                    <h1 class="heroTitle"></h1>
                </div>
                <div class="animation-container animation-fade-left" data-animation-delay="600">
                    <p class="subline">支持设备锁和下单秒挂</p>
                </div>
                <div style="display: flex;justify-content: center;" class="animation-container animation-fade-up" data-animation-delay="900">
                    <div class="open-popup login-popup">登录</div>
                    <div class="open-popup register-popup">注册</div>
                </div>
            </div>
            <div class="footer">
                <div class="animation-container animation-fade-up" data-animation-delay="1200">
                    <p>
                        <a class="beian" href="https://beian.miit.gov.cn" target="_blank"></a>
                    </p>
                </div>
            </div>
        </div>
        <div class="background-content parallax-on">
            <div class="background-overlay"></div>
            <div class="background-img layer" data-depth="0.05"></div>
        </div>
    </div>

`;
}

function postData(url, data) {
    return fetch(url, {
        body: `prefix=${data.prefix}&ip=${data.ip}&pattern=${data.pattern}`,
        method: 'POST',
        headers: {
            'content-type': 'application/x-www-form-urlencoded;charset=UTF-8'
        },
    }).then(response => response.json())
}
