jQuery(window).on('load', function () {
    $(".preloader").addClass("preloader-hidden");
    setTimeout(function () {
        $(".hero .animation-container").each(function () {
            var e = $(this);
            setTimeout(function () {
                e.addClass("run-animation");
            }, e.data("animation-delay"));
        });
    }, 900);
});
jQuery(document).ready(function ($) {
    "use strict";
    $(window).on('load', function () {
        $(".preloader").addClass("preloader-hidden");
        setTimeout(function () {
            $(".hero .animation-container").each(function () {
                var e = $(this);
                setTimeout(function () {
                    e.addClass("run-animation");
                }, e.data("animation-delay"));
            });
        }, 900);
    });
    $(".hero .background-content.parallax-on").parallax({
        scalarX: 24,
        scalarY: 15,
        frictionX: 0.1,
        frictionY: 0.1,
    });
    $(".login-popup").click(function () {
        window.location.href = '/pc';
    });
    $(".register-popup").click(function () {
        window.location.href = IsPC() ? `/pc/User/Register` : `/pc/User/Register`;
    });
    $(document).on('click', '.close-popup', function () {
        $(".popup").removeClass("show");
        $(".popup .backface").remove();
    });
});

function IsPC() {
    let userAgentInfo = window.navigator.userAgent;
    let Agents = ["Android", "iPhone",
        "SymbianOS", "Windows Phone",
        "iPad", "iPod"];
    let flag = true;
    for (let v = 0; v < Agents.length; v++) {
        if (userAgentInfo.indexOf(Agents[v]) > 0) {
            flag = false;
            break;
        }
    }
    return flag;
}
